DeepFellow DOCS

Evaluate

Evaluate a prompt using the LLM.

POST
/evaluate
AuthorizationBearer <token>

In: header

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

queryQuery
responseResponse
vector_store_idsVector Store Ids
userUser

Response Body

curl -X POST "https://loading/evaluate" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "query": "What is the capital of France?",    "response": "Lyon",    "user": "johndoe",    "vector_store_ids": [      "68dfa02c5cd5ef28c4d4081b"    ]  }'
{
  "confidence": 0.95,
  "explanation": "The capital of France is Paris, not Lyon.",
  "has_hallucination": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.